Describe Backup (V2)
List the information about the specified backup in detail. Note that this API only applies to dedicated clusters.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
The ID of the cluster that needs to be backed up.
The ID of the backup in concern.
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"
export BACKUP_ID="backup-xxxxxxxxxxxxxxx"
curl --request GET \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}/backups/${BACKUP_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json"
Response code.
Response payload which is the information about the backup in detail.
The ID of the cluster that holds the backup.
The name of the cluster that holds the backup.
The ID of the project that holds the backed-up cluster.
The ID of the backup.
The name of the backup.
The type of resources backed up.
Whether the backup was created manually or automatically.
The current status of the backup.
The size of the backup in bytes.
The ID of the cloud region where the backup is located. The region should be bound to the project to which the specified cluster belongs.
The expiration time of the backup.
A list of databases and its collections that are included in the backup.
A database and its collections that are included in the backup.
The name of the database.
The collections that are included in the backup.
The collection information.
The name of the collection.
The description of the collection.
The loading status of the collection.
The time at which the backup was created.
The policies for restoring a new cluster from the backup. This field is only applicable to backups of the type CLUSTER.
The policy for restoring a new cluster from the backup. Possible values are:
- LATEST: Restores the cluster to the latest compatible GA Milvus version available.
- ORIGINAL: Restores the cluster to its original compatible Milvus version.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "Dedicated-01",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxx",
"backupId": "backupx-xxxxxxxxxxxxxx",
"backupName": "Dedicated-01_backup1",
"backupType": "CLUSTER",
"creationMethod": "MANUAL",
"status": "AVAILABLE",
"size": 112,
"regionId": "aws-us-west-2",
"expireTime": "2024-08-30T16:49:50Z",
"collections": [
{
"collectionName": "medium_articles",
"description": "Sample collection",
"status": "LOADED"
}
],
"createTime": "2024-07-30T16:49:50Z",
"restoreNewInstancePolicies": [
"LATEST",
"ORIGINAL"
]
}
}